## crmsh 4.2.0

=== requirements.txt ===
lxml
PyYAML
nosexcover
py-dateutil
parallax

=== debian/changelog ===
crmsh (4.2.0-4ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - [997f62d6] Fix: hb_report: disable dump all tasks stack into dmesg
    - [cce28254] Fix: crmsh.spec: using mktemp to create tmp file
    - [e098387e] Fix: bootstrap: use csync2 '-f' option correctly
    - [669f13b5] Fix: bootstrap: Change condition to add stonith-sbd resource
    - [ca1f0a7f] Fix: ui_resource: refresh <Tab> should complete resource first
    - [78ce77e4] Low: hb_report: Fix collecting of binary data

 -- Matthias Klose <doko@ubuntu.com>  Sun, 29 Nov 2020 13:55:19 +0100

crmsh (4.2.0-4) unstable; urgency=medium

  * d/patches: fix flaky autopkgtest (Closes: #972619)
  * d/control: use debhelper v13
  * d/lintian-overrides: update override name

 -- Valentin Vidic <vvidic@debian.org>  Wed, 21 Oct 2020 20:42:26 +0200

crmsh (4.2.0-3ubuntu1) groovy; urgency=medium

  * Fixes before release: (LP: #1895728)
    - [997f62d6] Fix: hb_report: disable dump all tasks stack into dmesg
    - [cce28254] Fix: crmsh.spec: using mktemp to create tmp file
    - [e098387e] Fix: bootstrap: use csync2 '-f' option correctly
    - [669f13b5] Fix: bootstrap: Change condition to add stonith-sbd resource
    - [ca1f0a7f] Fix: ui_resource: refresh <Tab> should complete resource first
    - [78ce77e4] Low: hb_report: Fix collecting of binary data

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 16 Sep 2020 03:41:38 +0000

crmsh (4.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Valentin Vidic ]
  * debian/tests: use isolation-machine for cluster init (Closes: #953944)
  * d/control: update Standards-Version to 4.5.0
  * d/patches: refresh patches

 -- Valentin Vidic <vvidic@debian.org>  Sun, 15 Mar 2020 20:22:51 +0100

crmsh (4.2.0-2) unstable; urgency=medium

  * d/patches: fix tests failing in 2020

 -- Valentin Vidic <vvidic@debian.org>  Sat, 04 Jan 2020 11:30:00 +0100

crmsh (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * d/salsa-ci.yml: enable CI
  * d/tests: update for pacemaker 2.0.3
  * d/tests: ufw broken without /sbin/iptables symlink
  * d/patches: refresh for new upstream version
  * d/control: add Rules-Requires-Root
  * d/lintian-overrides: ignore manpage warning

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 Dec 2019 16:05:33 +0100

=== debian/control ===
Source: crmsh
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
Uploaders:
 Richard B Winters <rik@mmogp.com>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Valentin Vidic <vvidic@debian.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 13),
 dh-python,
 docbook-xml,
 docbook-xsl,
 dos2unix,
 libxml2-utils,
 pkg-config,
 python3-all,
 python3-dateutil,
 python3-pygments,
 python3-setuptools,
 xsltproc
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://crmsh.github.io/
Vcs-Browser: https://salsa.debian.org/ha-team/crmsh
Vcs-Git: https://salsa.debian.org/ha-team/crmsh.git

Package: crmsh
Architecture: all
Depends:
 ${misc:Depends},
 gawk,
 pacemaker-cli-utils,
 ${python3:Depends},
 python3-dateutil,
 python3-lxml,
 python3-parallax,
 python3-yaml
Recommends: pacemaker (>= 1.1.12)
Replaces: pacemaker (<< 1.1.12)
Breaks: pacemaker (<< 1.1.12)
Suggests:
 bash-completion,
 csync2,
 dmidecode,
 fdisk | util-linux (<< 2.29.2-3~),
 ocfs2-tools,
 openssh-server,
 parted,
 sbd,
 ufw,
 vim-addon-manager
Description: CRM shell for the pacemaker cluster manager
 The crm shell is an advanced command-line interface for High-Availability
 cluster management in GNU/Linux. Effortlessly configure, manage and
 troubleshoot your clusters from the command line, with full tab completion
 and extensive help. crmsh also provides advanced features like low-level
 cluster configuration, cluster scripting and package management, and
 history exploration tools giving you an instant view of what your cluster
 is doing.

Package: crmsh-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-font-awesome
Description: crmsh HTML Documentation
 The crm shell is an advanced command-line interface for High-Availability
 cluster management in GNU/Linux. Effortlessly configure, manage and
 troubleshoot your clusters from the command line, with full tab completion
 and extensive help. crmsh also provides advanced features like low-level
 cluster configuration, cluster scripting and package management, and
 history exploration tools giving you an instant view of what your cluster
 is doing.
 .
 This package contains the html Pacemaker API documentation.

=== debian/tests/control ===
Test-Command: crm --help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm --version
Depends: crmsh
Restrictions: needs-root

Tests: utils.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr

Tests: testsuite.sh
Depends: crmsh, openssh-server, python3-nose
Restrictions: needs-root

Tests: pacemaker-basic-resource.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: pacemaker-node-status.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: pacemaker-cluster-init.sh
Depends: crmsh, csync2, ntp, ufw, openssh-server, dmidecode [any-amd64 arm64 armhf any-i386], booth, booth-pacemaker
Restrictions: needs-root, allow-stderr, isolation-machine, skippable

## crmsh 4.2.1

=== debian/changelog ===
crmsh (4.2.1-2) unstable; urgency=medium

  * d/patches: include fix for CVE-2020-35459 (Closes: #985376)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 21 Mar 2021 21:23:08 +0100

crmsh (4.2.1-1) unstable; urgency=medium

  * New upstream version 4.2.1
  * d/patches: refresh for new version
  * d/control: update Standards-Version
  * d/watch: update version to 4
  * d/lintian-overrides: ignore text files
  * d/tests: update for new version

 -- Valentin Vidic <vvidic@debian.org>  Wed, 03 Feb 2021 22:05:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: crmsh
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard B Winters <rik@mmogp.com>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -21,7 +20,7 @@
  python3-pygments,
  python3-setuptools,
  xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://crmsh.github.io/
 Vcs-Browser: https://salsa.debian.org/ha-team/crmsh

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure that we link against all needed libraries (cf. Policy 10.2)
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs

# Properly support multi-arch triplet paths
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# If your package provides eggs, install egg-info directories instead of real eggs
DEB_PYTHON_INSTALL_ARGS_ALL += --single-version-externally-managed

# main packaging script based on dh7 syntax
%:
	dh $@ --with python3

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --sysconfdir=/etc \
	    --libdir=/usr/lib/$(DEB_HOST_MULTIARCH) --includedir=/usr/include/$(DEB_HOST_MULTIARCH) \
	    --datadir=/usr/share --docdir=/usr/share/doc/crmsh --htmldir=/usr/share/doc/crmsh/html

# Make generated documentation reproducible
override_dh_auto_build: export TZ=UTC
override_dh_auto_build:
	dh_auto_build
# Manually invoke building of the asciidoc html documentation
	cd $(CURDIR)/doc/website-v1 && $(MAKE)

DOC = debian/tmp/usr/share/doc/crmsh

override_dh_auto_install:
	dh_auto_install
# remove redundant files
	rm -v $(DOC)/COPYING
# move README to doc dir
	mv debian/tmp/usr/share/crmsh/tests/README.regression $(DOC)/README.regression
# keep crm in /usr/sbin for now
	install -D debian/tmp/usr/bin/crm debian/tmp/usr/sbin/crm
	rm debian/tmp/usr/bin/crm
# remove uninstall file list (breaks reproducible builds)
	rm debian/tmp/usr/lib/python*/site-packages/crmsh/install_files.txt
# install bash completion
	install -m 644 -D contrib/bash_completion.sh debian/tmp/usr/share/bash-completion/completions/crm
# install vim plugin
	install -m 644 -D debian/vim-pcmk.yaml debian/tmp/usr/share/vim/registry/vim-pcmk.yaml
	install -m 644 -D contrib/pcmk-ftdetect.vim debian/tmp/usr/share/vim/addons/ftplugin/vim-pcmk.vim
	install -m 644 -D contrib/pcmk.vim debian/tmp/usr/share/vim/addons/syntax/pcmk.vim
	rm -r debian/tmp/usr/share/doc/crmsh/contrib/

# clean with python 3
override_dh_auto_clean:
	python3 setup.py clean -a

override_dh_clean:
	dh_clean build/ doc/*.8 doc/*.html doc/website-v1/gen/
# Restore timestamp after patching to make build reproducible
	touch --reference=$(CURDIR)/doc/crmsh_hb_report.8.adoc $(CURDIR)/doc/crm.8.adoc

=== debian/tests/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Restrictions: needs-root, allow-stderr
 
 Tests: testsuite.sh
-Depends: crmsh, openssh-server, python3-nose
+Depends: crmsh, openssh-server, python3-pytest
 Restrictions: needs-root
 
 Tests: pacemaker-basic-resource.sh

=== debian/watch ===
version=4

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/ClusterLabs/crmsh/releases .*/v?(\d\S*)\.tar\.gz

## crmsh 4.3.1

=== requirements.txt ===
lxml
PyYAML
py-dateutil
parallax

=== debian/changelog ===
crmsh (4.3.1-1ubuntu2) jammy; urgency=medium

  * d/t/control: add resource-agents-extra as a dependency of
    pacemaker-basic-resource.sh and testsuite.sh tests (LP: #1968222).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 07 Apr 2022 17:13:50 -0300

crmsh (4.3.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1958978). Remaining changes:
    - d/t/pacemaker-node-status.sh: Use the output of "uname -n" instead
      of "node1" as the pacemaker node name.
    - d/p/0020-Use-crmsh-hb_report.patch: use the crmsh shipped hb_report script
      when available (LP #1958247).
      [ Adjusted for 4.3.1 upstream release. ]
  * Dropped changes:
    - d/p/0017-Fix-health-scripts-python-38-support.patch: remove deprecated
      function usage (LP #1947022).
      [ Included in Debian in 4.3.1-1. ]
    - d/p/0018-Replace-crmd.patch: replace crmd calls with pacemaker-controld
      (LP #1958241).
      [ Included in Debian in 4.3.1-1. ]
    - d/t/testsuite.sh: set timezone for time conversion tests (LP #1958243).
      [ Included in Debian in 4.3.1-1. ]
    - d/p/0019-Add-hb_report-dpkg-support.patch: Add dpkg support to hb_report
      (LP #1958246).
      [ Included in Debian in 4.3.1-1. ]
  * Added changes:
    - d/p/0021-Support-python-310.patch: support Python 3.10 (LP: #1958393).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 26 Jan 2022 09:27:26 -0300

crmsh (4.3.1-1) unstable; urgency=medium

  [ Valentin Vidic ]
  * New upstream version 4.3.1 (Closes: #992708)
  * d/patches: refresh for new version
  * d/tests: update for new version
  * d/control: update Standards-Version
  * d/copyright: update year
  * d/watch: update github url
  * d/rules: fix installation of vim syntax plugin (Closes: #990222)

  [ Athos Ribeiro ]
  * d/t/testsuite.sh: set timezone for time conversion tests
  * d/p/0017-Fix-health-scripts-python-38-support.patch: remove deprecated
    function usage
  * d/p/0018-Replace-crmd.patch: replace crmd calls with pacemaker-controld
  * d/p/0019-Add-hb_report-dpkg-support.patch: Add dpkg support to hb_report

 -- Valentin Vidic <vvidic@debian.org>  Wed, 19 Jan 2022 21:13:36 +0100

crmsh (4.2.1-3ubuntu2) jammy; urgency=medium

  * New changes:
    - d/p/0017-Fix-health-scripts-python-38-support.patch: remove deprecated
      function usage (LP: #1947022).
    - d/p/0018-Replace-crmd.patch: replace crmd calls with pacemaker-controld
      (LP: #1958241).
    - d/t/testsuite.sh: set timezone for time conversion tests (LP: #1958243).
    - d/p/0019-Add-hb_report-dpkg-support.patch: add dpkg support to hb_report
      (LP: #1958246).
    - d/p/0020-Use-crmsh-hb_report.patch: use the crmsh shipped hb_report script
      when available (LP: #1958247).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Fri, 07 Jan 2022 10:14:32 -0300

crmsh (4.2.1-3ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946853). Remaining changes:
    - d/t/pacemaker-node-status.sh: Use the output of "uname -n" instead
      of "node1" as the pacemaker node name.

 -- Utkarsh Gupta <utkarsh@ubuntu.com>  Mon, 06 Dec 2021 17:46:48 +0530

crmsh (4.2.1-3) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest regression with Pacemaker 2.1
    Caused by the fix of https://bugs.clusterlabs.org/show_bug.cgi?id=5395
    (commit 0923b405030820daef3474ac2ae07187a7dd97f7)

 -- Ferenc Wágner <wferi@debian.org>  Sat, 30 Oct 2021 15:37:37 +0200

crmsh (4.2.1-2ubuntu1) impish; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/t/pacemaker-node-status.sh: Use the output of "uname -n" instead
      of "node1" as the pacemaker node name.
  * Dropped:
    - Upstream patches with post release fixes
      + [997f62d6] Fix: hb_report: disable dump all tasks stack into dmesg
      + [cce28254] Fix: crmsh.spec: using mktemp to create tmp file
      + [e098387e] Fix: bootstrap: use csync2 '-f' option correctly
      + [669f13b5] Fix: bootstrap: Change condition to add stonith-sbd resource
      + [ca1f0a7f] Fix: ui_resource: refresh <Tab> should complete resource
        first
      + [78ce77e4] Low: hb_report: Fix collecting of binary data
      [Applied by upstream in version 4.2.1]

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 23 Jul 2021 09:38:52 -0300

crmsh (4.2.0-4ubuntu2) impish; urgency=medium

  * d/t/pacemaker-node-status.sh: Use the output of "uname -n" instead
    of "node1" as the pacemaker node name.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 07 Jul 2021 16:44:57 -0400

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 	install -m 644 -D contrib/bash_completion.sh debian/tmp/usr/share/bash-completion/completions/crm
 # install vim plugin
 	install -m 644 -D debian/vim-pcmk.yaml debian/tmp/usr/share/vim/registry/vim-pcmk.yaml
-	install -m 644 -D contrib/pcmk-ftdetect.vim debian/tmp/usr/share/vim/addons/ftplugin/vim-pcmk.vim
+	install -m 644 -D contrib/pcmk-ftdetect.vim debian/tmp/usr/share/vim/addons/ftdetect/pcmk.vim
 	install -m 644 -D contrib/pcmk.vim debian/tmp/usr/share/vim/addons/syntax/pcmk.vim
 	rm -r debian/tmp/usr/share/doc/crmsh/contrib/

=== debian/tests/control ===
Test-Command: crm --help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm --version
Depends: crmsh
Restrictions: needs-root

Tests: utils.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr

Tests: testsuite.sh
Depends: crmsh, openssh-server, python3-pytest, resource-agents-extra
Restrictions: needs-root

Tests: pacemaker-basic-resource.sh
Depends: crmsh, resource-agents-extra
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: pacemaker-node-status.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr, isolation-container, skippable

# Test disabled because it generates broken corosync config (missing nodelist)
#Tests: pacemaker-cluster-init.sh
#Depends: crmsh, csync2, ntp, ufw, openssh-server, dmidecode [any-amd64 arm64 armhf any-i386], booth, booth-pacemaker
#Restrictions: needs-root, allow-stderr, isolation-machine, skippable

## crmsh 4.4.0

=== debian/changelog ===
crmsh (4.4.0-2) unstable; urgency=medium

  * d/tests: update node status test
  * d/patches: fix build with new version of setuptools
  * d/patches: fix typo in patch description
  * d/lintian-overrides: update format for new lintian

 -- Valentin Vidic <vvidic@debian.org>  Sat, 15 Oct 2022 14:49:18 +0200

crmsh (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * d/patches: refresh for new version
  * d/tests: refresh for new version
  * d/control: add iputils-ping dependency
  * d/control: update Standards-Version to 4.6.1
  * d/lintian-overrides: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sat, 28 May 2022 12:06:50 +0200

crmsh (4.3.1-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/p/0020-Use-crmsh-hb_report.patch: use the crmsh shipped hb_report script
    when available
  * d/p/0021-Support-python-310.patch: support Python 3.10
    (Closes: #1009087, #1009092)

  [ Valentin Vidic ]
  * d/patches: cleanup duplicate patch
  * d/rules: fix timestamps on patched files for reproducible build

 -- Valentin Vidic <vvidic@debian.org>  Sun, 10 Apr 2022 09:48:28 +0200

crmsh (4.3.1-2) unstable; urgency=medium

  * d/tests: fix cluster init test
  * d/patches: add fix for python 3.10 (Closes: #1009087, #1009087)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 10 Apr 2022 07:11:23 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
  python3-pygments,
  python3-setuptools,
  xsltproc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://crmsh.github.io/
 Vcs-Browser: https://salsa.debian.org/ha-team/crmsh
@@ -31,6 +31,7 @@
 Depends:
  ${misc:Depends},
  gawk,
+ iputils-ping,
  pacemaker-cli-utils,
  ${python3:Depends},
  python3-dateutil,

=== debian/tests/control ===
Test-Command: crm --help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm --version
Depends: crmsh
Restrictions: needs-root

Tests: utils.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr

Tests: testsuite.sh
Depends: crmsh, openssh-server, python3-pytest
Restrictions: needs-root

Tests: pacemaker-basic-resource.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: pacemaker-node-status.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr, isolation-container, skippable

# Test disabled because it generates broken corosync config (missing nodelist)
Tests: pacemaker-cluster-init.sh
Depends: crmsh, csync2, ntp, ufw, openssh-server, dmidecode [any-amd64 arm64 armhf any-i386], booth, booth-pacemaker
Restrictions: needs-root, allow-stderr, isolation-machine, skippable

## crmsh 4.4.1

=== requirements.txt ===
lxml
PyYAML
python-dateutil
parallax

=== debian/changelog ===
crmsh (4.4.1-1ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2018067). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
  * Drop changes:
    - d/t/control: add fence-virt as dependency of utils.sh.
      [ Fixed in Debian in 4.4.0-5 ]
    - d/t/utils.sh: use fence-virt package instead of vim.
      [ Fixed in Debian in 4.4.0-5 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 04 Jul 2023 10:22:31 -0300

crmsh (4.4.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Mark spelling-errors.patch as Applied-Upstream.
  * Mark getargspec.patch as Applied-Upstream.

  [ Valentin Vidic ]
  * New upstream version 4.4.1
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Fri, 03 Mar 2023 22:48:41 +0100

crmsh (4.4.0-5) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * d/tests: use fence-virt in utils.sh test

  [ Valentin Vidic ]
  * d/control: update Standards-Version to 4.6.2
  * d/copyright: update year

 -- Valentin Vidic <vvidic@debian.org>  Sat, 14 Jan 2023 01:45:45 +0100

crmsh (4.4.0-4ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #2002811). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/control: add fence-virt as dependency of utils.sh
    - d/t/utils.sh: use fence-virt package instead of vim
      The test tries to remove the chosen package and vim is a
      dependency of ubuntu-server and cannot be removed.

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 13 Jan 2023 14:08:25 +0100

crmsh (4.4.0-4) unstable; urgency=medium

  * Team upload.
  * Add patch to not use inspect.getargspec, removed from python3.11.
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Jan 2023 09:54:32 +0100

crmsh (4.4.0-3ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993394). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
  * Dropped:
    - d/t/pacemaker-node-status.sh: Get the node name with "crm_node -n"
      instead of using "corosync-cmapctl". Ubuntu's corosync default
      configuration file does not set the node name.
      [ applied in Debian version 4.4.0-2 ]
  * Added:
    - d/t/control: add fence-virt as dependency of utils.sh.
    - d/t/utils.sh: use fence-virt package instead of vim.
      The test tries to remove the chosen package and vim is a
      dependency of ubuntu-server and cannot be removed.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 04 Jan 2023 16:37:04 -0300

crmsh (4.4.0-3) unstable; urgency=medium

  * d/patches: fix crmadmin parsing (Closes: #1023824)
  * d/tests: add test for resource restart

 -- Valentin Vidic <vvidic@debian.org>  Sun, 13 Nov 2022 13:18:35 +0100

crmsh (4.4.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971271, #1972730). Remaining changes:
    - d/t/pacemaker-node-status.sh: Get the node name with "crm_node -n"
      instead of using "corosync-cmapctl". Ubuntu's corosync default
      configuration file does not set the node name.
    - d/t/control: add resource-agents-extra as a dependency of some tests.
  * Dropped changes:
    - d/p/0020-Use-crmsh-hb_report.patch: use the crmsh shipped hb_report script
      when available (LP #1958247).
      [ The hb_report script is no longer present since 4.4.0. ]
    - d/p/0021-Support-python-310.patch: support Python 3.10 (LP #1958393).
      [ Included in 4.4.0. ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 31 May 2022 18:04:36 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: crmsh
 Section: admin
 Priority: optional
-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard B Winters <rik@mmogp.com>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -20,7 +21,7 @@
  python3-pygments,
  python3-setuptools,
  xsltproc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://crmsh.github.io/
 Vcs-Browser: https://salsa.debian.org/ha-team/crmsh

## crmsh 4.5.0

=== debian/changelog ===
crmsh (4.5.0-1ubuntu2) noble; urgency=medium

  * d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
    different environments.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 05 Dec 2023 11:44:42 -0300

crmsh (4.5.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2040377). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 01 Nov 2023 15:13:15 -0300

crmsh (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * d/patches: refresh for new version
  * d/tests: refresh for new version
  * d/postinst: create a logging directory (Closes: #1042448)
  * d/clean: remove generated files (Closes: #1044302)
  * d/patches: add fix for ssh error

 -- Valentin Vidic <vvidic@debian.org>  Tue, 10 Oct 2023 22:57:14 +0200

=== debian/control ===
--- 
+++ 
@@ -44,6 +44,7 @@
 Breaks: pacemaker (<< 1.1.12)
 Suggests:
  bash-completion,
+ cluster-glue,
  csync2,
  dmidecode,
  fdisk | util-linux (<< 2.29.2-3~),

## crmsh 4.6.0

=== doc/website-v1/Makefile ===
ASCIIDOC := asciidoc
CRMCONF := crm.conf
SRC := faq.adoc documentation.adoc development.adoc installation.adoc \
	configuration.adoc about.adoc rsctest-guide.adoc download.adoc \
	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc man-2.0.adoc man-3.adoc man-4.3.adoc
HISTORY_LISTINGS = include/history-guide/nfs-probe-err.typescript \
	include/history-guide/sample-cluster.conf.crm \
	include/history-guide/status-probe-fail.typescript \
	include/history-guide/resource-trace.typescript \
	include/history-guide/stonith-corosync-stopped.typescript \
	include/history-guide/basic-transition.typescript \
	include/history-guide/diff.typescript \
	include/history-guide/info.typescript \
	include/history-guide/resource.typescript \
	include/history-guide/transition-log.typescript
TGT := $(patsubst %.adoc,gen/%/index.html,$(SRC))
CSS := css/crm.css css/font-awesome.min.css
CSS := $(patsubst %,gen/%,$(CSS))
ICONS := \
	img/icons/caution.png \
	img/icons/example.png \
	img/icons/home.png \
	img/icons/important.png \
	img/icons/next.png \
	img/icons/note.png \
	img/icons/prev.png \
	img/icons/tip.png \
	img/icons/up.png \
	img/icons/warning.png \
	img/icons/callouts/10.png \
	img/icons/callouts/11.png \
	img/icons/callouts/12.png \
	img/icons/callouts/13.png \
	img/icons/callouts/14.png \
	img/icons/callouts/15.png \
	img/icons/callouts/1.png \
	img/icons/callouts/2.png \
	img/icons/callouts/3.png \
	img/icons/callouts/4.png \
	img/icons/callouts/5.png \
	img/icons/callouts/6.png \
	img/icons/callouts/7.png \
	img/icons/callouts/8.png \
	img/icons/callouts/9.png
IMG := $(ICONS) img/loader.gif img/laptop.png img/servers.gif \
	img/history-guide/sample-cluster.conf.png \
	img/history-guide/smallapache-start.png
IMG  := $(patsubst %,gen/%,$(IMG))
FONTS := fonts/FontAwesome.otf fonts/fontawesome-webfont.eot \
	fonts/fontawesome-webfont.svg fonts/fontawesome-webfont.ttf \
	fonts/fontawesome-webfont.woff
FONTS := $(patsubst %,gen/%,$(FONTS))
WATCHDIR := watchdir
XDGOPEN := xdg-open
NEWS := $(wildcard news/*.adoc)
NEWSDOC := $(patsubst %.adoc,gen/%/index.html,$(NEWS))

.PHONY: all clean deploy open

all: site

gen/index.html: index.adoc $(CRMCONF)
	@mkdir -p $(dir $@)
	@$(ASCIIDOC) --unsafe -b html5 -a icons -a iconsdir=/img/icons -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

gen/%/index.html: %.adoc $(CRMCONF)
	@mkdir -p $(dir $@)
	@$(ASCIIDOC) --unsafe -b html5 -a icons -a iconsdir=/img/icons -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

gen/history-guide/index.html: $(HISTORY_LISTINGS)

gen/man/index.html: ../crm.8.adoc $(CRMCONF)
	@mkdir -p $(dir $@)
	@$(ASCIIDOC) --unsafe -b html5 -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

gen/404.html: 404.adoc $(CRMCONF)
	@mkdir -p $(dir $@)
	@$(ASCIIDOC) --unsafe -b html5 -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

news.adoc: $(NEWS) $(CRMCONF)
	@echo "news:" $(NEWS)
	python ./make-news.py $@ $(NEWS)

gen/news/index.html: news.adoc
	@mkdir -p $(dir $@)
	$(ASCIIDOC) --unsafe -b html5 -f $(CRMCONF) -o $@ $<
	@python ./postprocess.py -o $@ $<

gen/css/%.css: css/%.css
	@mkdir -p gen/css
	@cp -r $< $@
	@echo "+ $@"

gen/js/%.js: js/%.js
	@mkdir -p gen/js
	@cp -r $< $@
	@echo "+ $@"

gen/img/icons/callouts/%: img/icons/callouts/%
	@mkdir -p gen/img/icons/callouts
	@cp -r $< $@
	@echo "+ $@"

gen/img/icons/%: img/icons/%
	@mkdir -p gen/img/icons
	@cp -r $< $@
	@echo "+ $@"

gen/img/history-guide/%: img/history-guide/%
	@mkdir -p gen/img/history-guide
	@cp -r $< $@
	@echo "+ $@"

gen/img/%: img/%
	@mkdir -p gen/img
	@cp -r $< $@
	@echo "+ $@"

gen/fonts/%: fonts/%
	@mkdir -p gen/fonts
	@cp -r $< $@
	@echo "+ $@"

gen/atom.xml: $(NEWSDOC)
	@echo "atom:" $(NEWSDOC)
	python ./make-news.py gen/atom.xml $(NEWS)

site: gen/atom.xml gen/index.html gen/404.html gen/news/index.html gen/man/index.html $(TGT) $(CSS) $(IMG) $(FONTS) $(NEWSDOC)
	@which dos2unix >/dev/null && find gen -name "*.html" -type f -exec dos2unix {} \;

deploy: site
	@echo "TODO: CVS upload"

open: site
	@$(XDGOPEN) gen/index.html

watch:
	@$(WATCHDIR) --verbose --cmd "make" . css img fonts

clean:
	-@$(RM) -rf gen/* news.adoc

=== debian/changelog ===
crmsh (4.6.0-4ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 19 Feb 2025 18:30:10 -0600

crmsh (4.6.0-4) unstable; urgency=medium

  * d/patches: add fix for failing timestamp test

 -- Valentin Vidic <vvidic@debian.org>  Sun, 09 Feb 2025 16:59:10 +0100

crmsh (4.6.0-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085226). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.
  * Dropped changes:
    - d/p/fix-findln-by-timestamp-test.patch: fix failing unit test.
      (Closes: #1068562) (LP #2060536)
      [ Fixed in 4.6.0-2 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 17 Dec 2024 16:50:11 -0300

crmsh (4.6.0-3) unstable; urgency=medium

  * d/patches: fix python syntax warnings (Closes: #1082829)

 -- Valentin Vidic <vvidic@debian.org>  Sun, 03 Nov 2024 14:58:54 +0100

crmsh (4.6.0-2) unstable; urgency=medium

  [ Athos Ribeiro ]
  * d/patches: fix failing unit test (Closes: #1068562)

  [ Valentin Vidic ]
  * d/control: update Standards-Version to 4.7.0

 -- Valentin Vidic <vvidic@debian.org>  Sun, 14 Apr 2024 13:11:19 +0200

crmsh (4.6.0-1ubuntu2) noble; urgency=medium

    - d/p/fix-findln-by-timestamp-test.patch: fix failing unit test.
      (Closes: #1068562) (LP: #2060536)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Wed, 10 Apr 2024 16:14:45 -0300

crmsh (4.6.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 18 Feb 2024 23:46:13 +0100

crmsh (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * d/control: drop depends on python3-parallax (Closes: #1061552)
  * d/patches: refresh for new version
  * d/patches: fix build with Python 3.12 (Closes: #1061794)
  * d/control: update pkgconf dependency
  * d/patches: fix bootstrap with dash as /bin/sh
  * d/postinst: create log dir and file unless they exists

 -- Valentin Vidic <vvidic@debian.org>  Sat, 17 Feb 2024 13:58:22 +0100

crmsh (4.5.0-1ubuntu3) noble; urgency=medium

  * Use packaging.version instead of distutils.version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Feb 2024 03:45:17 +0100

=== debian/control ===
--- 
+++ 
@@ -15,13 +15,14 @@
  docbook-xsl,
  dos2unix,
  libxml2-utils,
- pkg-config,
+ pkgconf,
  python3-all,
  python3-dateutil,
+ python3-packaging,
  python3-pygments,
  python3-setuptools,
  xsltproc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://crmsh.github.io/
 Vcs-Browser: https://salsa.debian.org/ha-team/crmsh
@@ -36,8 +37,8 @@
  pacemaker-cli-utils,
  ${python3:Depends},
  python3-dateutil,
+ python3-packaging,
  python3-lxml,
- python3-parallax,
  python3-yaml
 Recommends: pacemaker (>= 1.1.12)
 Replaces: pacemaker (<< 1.1.12)

=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,8 @@
 	install -m 644 -D contrib/pcmk-ftdetect.vim debian/tmp/usr/share/vim/addons/ftdetect/pcmk.vim
 	install -m 644 -D contrib/pcmk.vim debian/tmp/usr/share/vim/addons/syntax/pcmk.vim
 	rm -r debian/tmp/usr/share/doc/crmsh/contrib/
+# fix timestamps on patched files for reproducible build
+	find debian/tmp -print0 | xargs -0 touch --date=@$${SOURCE_DATE_EPOCH}
 
 # clean with python 3
 override_dh_auto_clean:
@@ -61,5 +63,3 @@
 
 override_dh_clean:
 	dh_clean build/ doc/*.8 doc/*.html doc/website-v1/gen/
-# Restore timestamp after patching to make build reproducible
-	touch --reference=$(CURDIR)/doc/crmsh_hb_report.8.adoc $(CURDIR)/doc/crm.8.adoc

## crmsh 4.6.1

=== requirements.txt ===
lxml
PyYAML
python-dateutil

=== doc/Makefile ===
.PHONY: all clean subdirs website website-clean

all: crm.8.html generated-sources/crm.8.aio.adoc

generated-sources:
	mkdir -p $@

generated-sources/Makefile: crm.8.adoc generated-sources
	adocxt gen-makefile < $< > $@

subdirs: generated-sources/Makefile
	$(MAKE) -C generated-sources all

generated-sources/crm.8.adoc: crm.8.adoc subdirs
	adocxt gen-include < $< > $@

generated-sources/crm.8.aio.adoc: generated-sources/crm.8.adoc generated-sources/profiles.adoc
	adocaio $< > $@

generated-sources/profiles.adoc: profiles.adoc generated-sources
	cp $< $@

crm.8.html: generated-sources/crm.8.aio.adoc
	asciidoctor $<

website: generated-sources/crm.8.adoc
	$(MAKE) -C website-v1 all

website-clean:
	$(MAKE) -C website-v1 clean

clean:	website-clean
	$(RM) -r generated-sources crm.8.html

=== debian/changelog ===
crmsh (4.6.1-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110432). Remaining changes:
    - d/t/control: add resource-agents-extra as a dependency of some tests.
    - d/t/testsuite.sh: unset SUDO_USER to proper replicate this test run across
      different environments.

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Thu, 29 May 2025 15:17:08 -0300

crmsh (4.6.1-2) unstable; urgency=medium

  * d/patches: fix update_err handling (Closes: #1102663)
  * d/rules: fix shebang rewrite

 -- Valentin Vidic <vvidic@debian.org>  Tue, 15 Apr 2025 21:51:42 +0200

crmsh (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1
  * d/patches: refresh for new version (Closes: #1101479)
  * d/rules: fix documentation build
  * d/tests: fix failing autopkgtest
  * d/control: update Standards-Version to 4.7.2

 -- Valentin Vidic <vvidic@debian.org>  Wed, 02 Apr 2025 22:46:02 +0200

=== debian/control ===
--- 
+++ 
@@ -9,20 +9,25 @@
  Valentin Vidic <vvidic@debian.org>
 Build-Depends:
  asciidoc,
+ asciidoctor,
  debhelper-compat (= 13),
  dh-python,
  docbook-xml,
  docbook-xsl,
  dos2unix,
+ fakeroot,
  libxml2-utils,
+ pacemaker-cli-utils,
  pkgconf,
  python3-all,
  python3-dateutil,
+ python3-lxml,
  python3-packaging,
  python3-pygments,
  python3-setuptools,
+ python3-yaml,
  xsltproc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://crmsh.github.io/
 Vcs-Browser: https://salsa.debian.org/ha-team/crmsh

=== debian/tests/control ===
Test-Command: crm --help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm help
Depends: crmsh
Restrictions: needs-root

Test-Command: crm --version
Depends: crmsh
Restrictions: needs-root

Tests: utils.sh
Depends: crmsh, fence-virt
Restrictions: needs-root, allow-stderr

Tests: testsuite.sh
Depends: crmsh, openssh-server, python3-pytest, resource-agents-extra
Restrictions: needs-root

Tests: pacemaker-basic-resource.sh
Depends: crmsh, resource-agents-extra
Restrictions: needs-root, allow-stderr, isolation-container, skippable

Tests: pacemaker-node-status.sh
Depends: crmsh
Restrictions: needs-root, allow-stderr, isolation-container, skippable

# Test disabled because it generates broken corosync config (missing nodelist)
Tests: pacemaker-cluster-init.sh
Depends: crmsh, csync2, ntpsec, ufw, openssh-server, dmidecode [any-amd64 arm64 armhf any-i386], booth, booth-pacemaker
Restrictions: needs-root, allow-stderr, isolation-machine, skippable

=== debian/watch ===
version=4

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/ClusterLabs/crmsh/tags .*/v?(\d\S*)\.tar\.gz

## crmsh 5.0.0~rc1

=== doc/website-v1/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 CRMCONF := crm.conf
 SRC := faq.adoc documentation.adoc development.adoc installation.adoc \
 	configuration.adoc about.adoc rsctest-guide.adoc download.adoc \
-	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc man-2.0.adoc man-3.adoc man-4.3.adoc
+	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc man-2.0.adoc man-3.adoc man-4.3.adoc man-4.6.adoc
 HISTORY_LISTINGS = include/history-guide/nfs-probe-err.typescript \
 	include/history-guide/sample-cluster.conf.crm \
 	include/history-guide/status-probe-fail.typescript \
@@ -71,7 +71,7 @@
 
 gen/history-guide/index.html: $(HISTORY_LISTINGS)
 
-gen/man/index.html: ../crm.8.adoc $(CRMCONF)
+gen/man/index.html: ../generated-sources/crm.8.adoc $(CRMCONF)
 	@mkdir -p $(dir $@)
 	@$(ASCIIDOC) --unsafe -b html5 -f $(CRMCONF) -o $@ $<
 	@python ./postprocess.py -o $@ $<

=== debian/changelog ===
crmsh (5.0.0~rc1-1) unstable; urgency=medium

  * New upstream version 5.0.0~rc1
  * d/patches: refresh for new version
  * d/patches: fix python build rules
  * d/patches: use Debian path for sbd config
  * d/tests: update tests for new version
  * d/copyright: update file list for new version
  * d/control: update build depends for new version
  * d/rules: update build rules for new version

 -- Valentin Vidic <vvidic@debian.org>  Thu, 19 Jun 2025 21:08:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: crmsh
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard B Winters <rik@mmogp.com>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
@@ -20,9 +19,11 @@
  pacemaker-cli-utils,
  pkgconf,
  python3-all,
+ python3-build,
  python3-dateutil,
  python3-lxml,
  python3-packaging,
+ python3-pip,
  python3-pygments,
  python3-setuptools,
  python3-yaml,

=== debian/tests/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
 Restrictions: needs-root, allow-stderr
 
 Tests: testsuite.sh
-Depends: crmsh, openssh-server, python3-pytest, resource-agents-extra
+Depends: crmsh, openssh-server, python3-pytest
 Restrictions: needs-root
 
 Tests: pacemaker-basic-resource.sh
-Depends: crmsh, resource-agents-extra
+Depends: crmsh
 Restrictions: needs-root, allow-stderr, isolation-container, skippable
 
 Tests: pacemaker-node-status.sh

## crmsh 5.0.0~rc2

=== debian/changelog ===
crmsh (5.0.0~rc2-1) unstable; urgency=medium

  * New upstream version 5.0.0~rc2
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Tue, 15 Jul 2025 20:42:43 +0200

## crmsh 5.0.0

=== requirements.txt ===
lxml
PyYAML
python-dateutil
packaging

=== doc/website-v1/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
 CRMCONF := crm.conf
 SRC := faq.adoc documentation.adoc development.adoc installation.adoc \
 	configuration.adoc about.adoc rsctest-guide.adoc download.adoc \
-	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc man-2.0.adoc man-3.adoc man-4.3.adoc man-4.6.adoc
+	history-guide.adoc start-guide.adoc man-1.2.adoc scripts.adoc \
+	man-2.0.adoc man-3.adoc man-4.3.adoc man-4.6.adoc man-5.0.adoc
 HISTORY_LISTINGS = include/history-guide/nfs-probe-err.typescript \
 	include/history-guide/sample-cluster.conf.crm \
 	include/history-guide/status-probe-fail.typescript \

=== debian/changelog ===
crmsh (5.0.0-3) unstable; urgency=medium

  * d/rules: fix build source after successful build (Closes: #1044302)
  * d/control: update Standards-Version to 4.7.3

 -- Valentin Vidic <vvidic@debian.org>  Thu, 26 Feb 2026 21:25:38 +0100

crmsh (5.0.0-2) unstable; urgency=medium

  * d/control: add util-linux-extra to Suggests (Closes: #1116291)
  * d/control: add crm114 to Conflicts (Bug: #1098983)

 -- Valentin Vidic <vvidic@debian.org>  Mon, 27 Oct 2025 21:08:05 +0100

crmsh (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0
  * d/patches: refresh for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 24 Aug 2025 15:22:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: crmsh
 Section: admin
-Priority: optional
 Maintainer: Debian HA Maintainers <debian-ha-maintainers@lists.alioth.debian.org>
 Uploaders:
  Richard B Winters <rik@mmogp.com>,
@@ -28,8 +27,7 @@
  python3-setuptools,
  python3-yaml,
  xsltproc
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://crmsh.github.io/
 Vcs-Browser: https://salsa.debian.org/ha-team/crmsh
 Vcs-Git: https://salsa.debian.org/ha-team/crmsh.git
@@ -49,6 +47,7 @@
 Recommends: pacemaker (>= 1.1.12)
 Replaces: pacemaker (<< 1.1.12)
 Breaks: pacemaker (<< 1.1.12)
+Conflicts: crm114
 Suggests:
  bash-completion,
  cluster-glue,
@@ -60,6 +59,7 @@
  parted,
  sbd,
  ufw,
+ util-linux-extra,
  vim-addon-manager
 Description: CRM shell for the pacemaker cluster manager
  The crm shell is an advanced command-line interface for High-Availability

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --shebang=/usr/bin/python3 --no-parallel
 
 override_dh_missing:
 	dh_missing --fail-missing
@@ -32,23 +32,34 @@
 override_dh_auto_build:
 	dh_auto_build
 # Manually invoke building of the asciidoc html documentation
-	cd $(CURDIR)/doc/website-v1 && $(MAKE)
+	PATH=$$PATH:$$PWD/doc/toolchain/bin:$$PWD/bin \
+	    PYTHONPATH=$$PWD \
+	    HOME=$$PWD \
+	    CRM_HELP_FILE=$$PWD/doc/crm.8.adoc \
+	    fakeroot -- make -C doc all website
 
 DOC = debian/tmp/usr/share/doc/crmsh
 
 override_dh_auto_install:
 	dh_auto_install
+# pip always installs in /usr/local
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
+	mv $(CURDIR)/debian/tmp/usr/local/lib/python3*/dist-packages/crmsh* \
+           $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
+	find $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages -name __pycache__ -depth -exec rm -r {} \;
+	chmod -x $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/crm
 # remove redundant files
-	rm -v $(DOC)/COPYING
+	rm $(DOC)/COPYING
+	rm debian/tmp/usr/lib/firewalld/services/high-availability.xml
+	rm debian/tmp/usr/local/lib/python3*/dist-packages/usr/share/crmsh/crm.8.adoc
+	rm -fv $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/COPYING \
+	       $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/licenses/COPYING
+	rm $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/*.dist-info/direct_url.json
 # move README to doc dir
 	mv debian/tmp/usr/share/crmsh/tests/README.regression $(DOC)/README.regression
 # keep crm in /usr/sbin for now
-	install -D debian/tmp/usr/bin/crm debian/tmp/usr/sbin/crm
-	rm debian/tmp/usr/bin/crm
-# remove uninstall file list (breaks reproducible builds)
-	rm debian/tmp/usr/lib/python*/site-packages/crmsh/install_files.txt
-# install bash completion
-	install -m 644 -D contrib/bash_completion.sh debian/tmp/usr/share/bash-completion/completions/crm
+	install -D debian/tmp/usr/local/bin/crm debian/tmp/usr/sbin/crm
+	rm debian/tmp/usr/local/bin/crm
 # install vim plugin
 	install -m 644 -D debian/vim-pcmk.yaml debian/tmp/usr/share/vim/registry/vim-pcmk.yaml
 	install -m 644 -D contrib/pcmk-ftdetect.vim debian/tmp/usr/share/vim/addons/ftdetect/pcmk.vim
@@ -62,4 +73,4 @@
 	python3 setup.py clean -a
 
 override_dh_clean:
-	dh_clean build/ doc/*.8 doc/*.html doc/website-v1/gen/
+	dh_clean build/ dist/* doc/*.8 doc/*.html doc/website-v1/gen/ doc/generated-sources/*
